Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::SeparatorMenuItem Class Reference

A GtkSeparatorMenuItem C++ wrapper class. More...

`#include <inti/gtk/separatormenuitem.h>`

Inheritance diagram for Inti::Gtk::SeparatorMenuItem:

List of all members.

## Public Member Functions

Constructors

- SeparatorMenuItem ()
    Construct a new separator menu item.
- virtual ~SeparatorMenuItem ()
    Destructor.

Accessors

- GtkSeparatorMenuItem * gtk_separator_menu_item () const
    Get a pointer to the GtkSeparatorMenuItem structure.
- GtkSeparatorMenuItemClass * gtk_separator_menu_item_class () const
    Get a pointer to the GtkSeparatorMenuItemClass structure.
- operator GtkSeparatorMenuItem * () const
    Conversion operator; safely converts a SeparatorMenuItem to a GtkSeparatorMenuItem pointer.

## Protected Member Functions

Constructors

- SeparatorMenuItem (GtkSeparatorMenuItem *menu_item, bool reference=false)
    Construct a new SeparatorMenuItem from an existing GtkSeparatorMenuItem.

## Detailed Description

A GtkSeparatorMenuItem C++ wrapper class.

The SeparatorMenuItem is a separator used to group items within a menu. It displays a horizontal line with a shadow to make it appear sunken into the interface.

## Constructor & Destructor Documentation

Inti::Gtk::SeparatorMenuItem::SeparatorMenuItem | ( | GtkSeparatorMenuItem * | menu_item,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new SeparatorMenuItem from an existing GtkSeparatorMenuItem. Parameters:
  menu_item | A pointer to a GtkSeparatorMenuItem.
  reference | Set false if the initial reference count is floating, set true if it's not.
The menu_item can be a newly created GtkSeparatorMenuItem or an existing GtkSeparatorMenuItem (see G::Object::Object).

The documentation for this class was generated from the following file:

- separatormenuitem.h

Main Page - Footer